Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class MessageChunkSplitter

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.routing.AbstractSplitter
              org.mule.routing.MessageChunkSplitter

All Implemented Interfaces:
  MuleContextAware, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class MessageChunkSplitter

extends AbstractSplitter

A router that breaks up the current message onto smaller parts and sends them to the same destination. The Destination service needs to have a MessageChunkingAggregator inbound router in order to rebuild the message at the other end.

EIP Reference: http://www.eaipatterns.com/Sequencer.html

Field Summary
`protected int` | `messageSize`

Fields inherited from class org.mule.routing.AbstractSplitter
`enableCorrelation, messageInfoMapping, muleContext, resultsHandler`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, next, notificationHandler`

Constructor Summary
`MessageChunkSplitter()`

Method Summary
`int` | `getMessageSize()`
`protected boolean` | `isSplitRequired(MuleEvent event)`
`void` | `setMessageSize(int messageSize)`
`protected List<MuleMessage>` | `splitMessage(MuleEvent event)`

Methods inherited from class org.mule.routing.AbstractSplitter
`process, processParts, setEnableCorrelation, setMessageInfoMapping, setMuleContext`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### messageSize

    protected int messageSize

Constructor Detail

### MessageChunkSplitter

    public MessageChunkSplitter()

Method Detail

### getMessageSize

    public int getMessageSize()

### setMessageSize

    public void setMessageSize(int messageSize)

### isSplitRequired

    protected boolean isSplitRequired(MuleEvent event)

  Overrides:
    `isSplitRequired` in class `AbstractSplitter`

### splitMessage

    protected List<MuleMessage> splitMessage(MuleEvent event)
                                      throws RoutingException

  Specified by:
    `splitMessage` in class `AbstractSplitter`
  Throws:
    `RoutingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.